ObjectNameHelper (Mule ESB 2.2.1 API)
Keywords: org.mule.util.ObjectNameHelper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class ObjectNameHelper

    java.lang.Object
      org.mule.util.ObjectNameHelper

    public final class ObjectNameHelper

extends Object

Generates consistent objects names for Mule components

Field Summary
`static String` | `CONNECTOR_PREFIX`
`static String` | `ENDPOINT_PREFIX`
`static String` | `SEPARATOR`

Constructor Summary
`protected` | `ObjectNameHelper()` Do not instanciate.

Method Summary
`protected static String` | `ensureUniqueConnector(String name)`
`protected static String` | `ensureUniqueEndpoint(String name)`
`static String` | `getConnectorName(Connector connector)`
`static String` | `getEndpointName(EndpointURI endpointUri)`
`static String` | `replaceObjectNameChars(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR

    public static final String SEPARATOR

See Also:
  Constant Field Values

### CONNECTOR_PREFIX

    public static final String CONNECTOR_PREFIX

See Also:
  Constant Field Values

### ENDPOINT_PREFIX

    public static final String ENDPOINT_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ObjectNameHelper

    protected ObjectNameHelper()

  Do not instanciate.

Method Detail

### getEndpointName

    public static String getEndpointName(EndpointURI endpointUri)

### ensureUniqueEndpoint

    protected static String ensureUniqueEndpoint(String name)

### ensureUniqueConnector

    protected static String ensureUniqueConnector(String name)

### getConnectorName

    public static String getConnectorName(Connector connector)

### replaceObjectNameChars

    public static String replaceObjectNameChars(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.